import string
import time
import libxml2
import libxslt
import jon.cgi as cgi
import jon.modpy as modpy
import Handler
from Handler import PATH_XML_DOCS
from Handler import PATH_XSL_DOCS
from Handler import PATH_ASI_PROC

AUTO_PID = '0'
DROP_PID = '1FFF'

def debug(req, msg):
    DEBUG = 0
    if DEBUG:
        req.error(msg)

class IptvHandler(Handler.Handler):

    _adminPage = 'destinationx.xsl'
    _roPage = 'rodestinationx.xsl'


def handler(modpy_request):
    return modpy.Request(IptvHandler).process(modpy_request)
